@font-face {
    font-family: "RobotoRegular";
    src: url("../webfonts/Roboto-Regular.eot");
    src: url("../webfonts/Roboto-Regular.eot?#iefix")
            format("embedded-opentype"),
        url("../webfonts/Roboto-Regular.woff2") format("woff2"),
        url("../webfonts/Roboto-Regular.woff") format("woff"),
        url("../webfonts/Roboto-Regular.ttf") format("truetype"),
        url("../webfonts/Roboto-Regular.svg#Roboto-Regular") format("svg");
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "agenda-mediumregular";
    src: url("../webfonts/amd-webfont.woff2") format("woff2"),
        url("../webfonts/amd-webfont.woff") format("woff");
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: "agenda-lightregular";
    src: url("../webfonts/alt.woff2") format("woff2"),
        url("../webfonts/alt.woff") format("woff");
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: "bebasregular";
    src: url("../webfonts/bebas_-webfont.woff2") format("woff2"),
        url("../webfonts/bebas_-webfont.woff") format("woff");
    font-weight: normal;
    font-style: normal;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "agenda-lightregular", Arial, Helvetica, sans-serif;
    min-height: 100vh;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "bebasregular";
    word-spacing: 6px;
    letter-spacing: -0.5px;
    font-weight: 300;
}

.container {
    max-width: 1152px;
    margin: 0 auto;
}

.top-bar {
    background-color: #001d36;
    color: white;
}

.header-row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 56px;
    font-family: "RobotoRegular", Arial, Helvetica, sans-serif;
}

.contact-info {
    display: flex;
    align-items: center;
    gap: 20px;
    font-size: 14px;
}

.nav-link {
    color: #fff;
    text-decoration: none;
}

.contact-info i {
    margin-right: 5px;
}

.home-button {
    background-color: #3268e1;
    color: white;
    padding: 6px 12px;
    border: none;
    font-size: 14px;
    cursor: pointer;
    border-radius: 3px;
}

/* Hero Section */
.hero {
    position: relative;
    background-image: url("/banner.jpg");
    background-color: #001d36;
    /* replace with your actual image path */
    background-size: cover;
    background-position: center;
    height: 400px;
}

.hero-overlay {
    background-image: linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3));
}

.hero-row {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.hero-col {
    height: 400px;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    padding: 30px 0;
}

.hero-left {
    color: white;
}

.hero-left .logo {
    font-size: 48px;
    font-weight: bold;
    color: #e60023;
}

.hero-left .subtext {
    font-size: 14px;
    margin-top: -10px;
    margin-left: 5px;
}

.hero-title {
    font-size: 36px;
    margin-top: 20px;
    color: white;
}

.hero-right {
    display: flex;
    gap: 20px;
    align-items: center;
}

.hero-right img {
    max-height: 60px;
}

@media screen and (max-width: 768px) {
    .top-bar {
        flex-direction: column;
        align-items: flex-start;
        gap: 10px;
    }

    .hero {
        flex-direction: column;
        height: auto;
        text-align: center;
    }

    .hero-title {
        font-size: 28px;
    }

    .hero-right {
        margin-top: 20px;
        justify-content: center;
    }

    .form-container {
        padding: 20px !important;
    }

    .container {
        padding: 20px;
    }

    .contact-info {
        flex-direction: column;
        align-items: start;
        gap: 10px;
    }

    .student-block {
        padding: 16px;
    }
}

.breadcrumb {
    background: white;
    padding: 15px 0;
    text-align: start;
    font-size: 14px;
    color: #666;
    border-bottom: 1px solid #d9d9d9;
}

.form-container {
    background: white;
    max-width: 1152px;
    margin: 0 auto;
    padding: 40px 0;
    min-height: 560px;
}
.steps-container {
    display: flex;
    justify-content: space-between;
    margin-bottom: 40px;
    width: 100%;
    position: relative;
}

.step-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 33.33%;
    position: relative;
    z-index: 1;
}

.step {
    width: 36px;
    height: 36px;
    background: #fff;
    border: 2px solid #ddd;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 700;
    color: #333;
    transition: all 0.3s;
    cursor: pointer;
}

.step.active {
    border-color: royalblue;
    color: royalblue;
}

.label {
    margin-top: 16px;
    font-size: 16px;
    text-align: center;
    min-height: 16px;
    line-height: 1.2;
}

.progress-container {
    position: absolute;
    top: 18px;
    left: 18px;
    right: 18px;
    height: 2px;
    background: #ddd;
    z-index: 0;
}

#progress {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    background: royalblue;
    transition: width 0.4s ease;
    width: 0;
    z-index: 1;
}

.navigation-container {
    display: flex;
    justify-content: end;
    gap: 16px;
    margin-top: 20px;
}

button {
    background: #095790;
    color: #fff;
    border: none;
    border-radius: 5px;
    padding: 0.6em 1.5em;
    font-family: "RobotoRegular", Arial, Helvetica, sans-serif;
    font-size: 0.9em;
    cursor: pointer;
    transition: background 0.3s ease;
}

button:disabled {
    background: #eee;
    color: #ccc;
    cursor: not-allowed;
}

.step-content {
    display: none;
    width: 100%;
    background: #fff;
    /* padding: 20px;
            border: 1px solid #ddd; */
    border-radius: 10px;
}

.step-content.active {
    display: block;
}

@media (max-width: 480px) {
    .label {
        font-size: 0.65rem;
    }
}

/* end progress-steps */
@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateX(20px);
    }

    to {
        opacity: 1;
        transform: translateX(0);
    }
}

.section-title {
    font-size: 28px;
    color: #333;
    margin-bottom: 20px;
    text-transform: uppercase;
}

.form-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px 30px;
    margin-bottom: 30px;
}

.form-group {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.form-group-row {
    display: flex;
    gap: 20px;
}

.form-group-row .radio-group {
    margin-top: 0;
}

.form-group.full-width {
    grid-column: 1 / -1;
}

.form-group.half-width {
    grid-column: span 2;
}

.form-group label {
    font-weight: 500;
    /* margin-bottom: 8px; */
    color: #344054;
    font-size: 17px;
}

.form-group > label {
    margin-bottom: 8px;
}

.required {
    color: #dc2626;
}

.form-group input[type="text"],
.form-group input[type="email"],
.form-group input[type="tel"],
.form-group input[type="date"],
.form-group input[type="time"],
.form-group select,
.form-group textarea {
    padding: 10px 14px;
    border: 1px solid #d0d5dd;
    border-radius: 8px;
    font-size: 14px;
    background: white;
    transition: border-color 0.3s ease;
    width: 100%;
    color: #101828;
    box-shadow: 0px 1px 2px 0px rgba(16, 24, 40, 0.05);
}

input:-internal-autofill-selected {
    background-color: #f9fafb;
}

input[type="text"]:focus,
input[type="email"]:focus,
input[type="tel"]:focus,
input[type="date"]:focus,
select:focus,
textarea:focus {
    outline: none;
    border-color: #6c7a86;
    /* box-shadow: 0 0 0 2px rgba(33, 150, 243, 0.1); */
    box-shadow: 0 0 0 4px rgba(238, 244, 255, 100) !important;
}

.error {
    border-color: #dc2626 !important;
    box-shadow: 0 0 0 2px rgba(220, 38, 38, 0.1) !important;
}

.has-error input,
.has-error select,
.has-error textarea {
    border-color: #dc2626 !important;
    box-shadow: 0 0 0 2px rgba(220, 38, 38, 0.1) !important;
}

.has-error input[type="radio"],
.has-error input[type="checkbox"] {
    box-shadow: none !important;
}

label.error {
    border: none !important;
    box-shadow: none !important;
    color: #dc2626;
    font-size: 12px;
    margin-top: 4px;
    font-family: "RobotoRegular", Arial, Helvetica, sans-serif;
}

.radio-option input[type="radio"].error {
    box-shadow: none !important;
}

.checkbox-group input[type="checkbox"].error {
    box-shadow: none !important;
}

.error-message {
    color: #dc2626;
    font-size: 12px;
    margin-top: 4px;
    font-family: "RobotoRegular", Arial, Helvetica, sans-serif;
}

/* .radio-option input[type="radio"].error+label {
    color: #ef4444;
} */
#siblingEisDetails input#grnnumber,
#additionalDetails input#support,
#siblingEisDetails input.siblingEisDetails {
    margin-top: 8px !important;
}

.radio-group {
    display: flex;
    gap: 20px;
    margin-top: 8px;
}

.radio-option {
    display: flex;
    align-items: center;
    gap: 8px;
}

input[type="radio"] {
    margin: 0;
}

.support-section {
    background: #f5f5f5;
    padding: 20px;
    border-radius: 4px;
    margin: 20px 0;
    display: none;
}

.checkbox-group {
    display: flex;
    align-items: center;
    gap: 8px;
    margin: 10px 0;
}

.checkbox-group .checkbox-option {
    display: flex;
    align-items: center;
    gap: 8px;
}

.previous-school-section {
    background: #fafafa;
    padding: 30px;
    margin: 40px auto;
    border-radius: 4px;
}

.previous-school-section .school-form {
    margin-bottom: 20px;
    background: white;
    padding: 16px;
}

.previous-school-section h3 {
    font-size: 20px;
    color: #333;
    margin-bottom: 15px;
    text-transform: uppercase;
}

.previous-school-section p {
    margin-bottom: 20px;
    color: #666;
    font-size: 14px;
}

.btn {
    padding: 12px 24px;
    border: none;
    border-radius: 4px;
    font-size: 14px;
    font-weight: bold;
    cursor: pointer;
    transition: all 0.3s ease;
    text-transform: uppercase;
}

.btn-primary {
    background: #2196f3;
    color: white;
}

.btn-primary:hover {
    background: #1976d2;
    /* transform: translateY(-1px); */
}

.btn-primary-link {
    padding: 6px 14px;
    border-radius: 4px;
    font-size: 16px;
    cursor: pointer;
    background: #2196f3;
    color: white;
    text-decoration: none;
    font-family: "RobotoRegular", Arial, Helvetica, sans-serif;
}

.btn-success-link {
    padding: 6px 14px;
    border-radius: 4px;
    font-size: 16px;
    cursor: pointer;
    background: #12b76a;
    color: white;
    text-decoration: none;
    font-family: "RobotoRegular", Arial, Helvetica, sans-serif;
}

.btn-reject-link {
    padding: 6px 14px;
    border-radius: 4px;
    font-size: 16px;
    cursor: pointer;
    background-color: #f04438;
    color: white;
    text-decoration: none;
    font-family: "RobotoRegular", Arial, Helvetica, sans-serif;
}

.btn-outline-link {
    padding: 6px 14px;
    border-radius: 4px;
    border: 1px solid #000;
    font-size: 16px;
    cursor: pointer;
    color: #000;
    text-decoration: none;
    font-family: "RobotoRegular", Arial, Helvetica, sans-serif;
}

.btn-secondary {
    background: #6c757d;
    color: white;
}

.btn-secondary:hover {
    background: #5a6268;
}

.btn-success {
    background: #12b76a;
    color: white;
}

.btn-success:hover {
    background: #218838;
}

.btn:disabled {
    opacity: 0.6;
    cursor: not-allowed;
}

.btn-transparent {
    background-color: transparent;
    color: #001d36 !important;
}

/* .success-message {
    text-align: center;
    padding: 40px;
} */

.success-icon {
    font-size: 64px;
    color: #28a745;
    margin-bottom: 20px;
}

.border-red-500 {
    border-color: #dc2626 !important;
    box-shadow: 0 0 0 2px rgba(220, 38, 38, 0.1) !important;
}

.text-red-500 {
    color: #dc2626;
    font-size: 12px;
    margin-top: 4px;
    font-family: "RobotoRegular", Arial, Helvetica, sans-serif;
}

@media (max-width: 768px) {
    .form-grid {
        grid-template-columns: 1fr;
    }

    .form-group.half-width {
        grid-column: span 1;
    }

    .progress-steps {
        gap: 50px;
    }

    .form-title {
        font-size: 32px;
    }

    .step::after {
        width: 30px;
        left: 50px;
    }
}

.file-upload-container {
    margin-bottom: 10px;
    width: 100%;
}

.file-label {
    display: block;
    margin-bottom: 8px;
    font-weight: 500;
    color: #344054;
    font-size: 14px;
}

.custom-file-upload {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 14px;
    border: 1px solid #ccc;
    border-radius: 8px;
    width: 100%;
    height: 38px;
    background-color: #fff;
    cursor: pointer;
}

.custom-file-upload span {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 220px;
}

.upload-icon {
    font-size: 18px;
}

.file-upload-container input[type="file"] {
    display: none;
}

#reasonField {
    display: none;
    margin-top: 20px;
}

#reasonField input {
    margin-top: 8px !important;
}

.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

.modal.show {
    display: flex !important;
    align-items: center;
    /* vertically center */
    justify-content: center;
    /* horizontally center */
}

.modal-content {
    background: #fff;
    padding: 20px;
    max-width: 600px;
    width: 90%;
    border-radius: 8px;
    text-align: center;
}

.modal-content .modal-header {
    text-align: end;
    margin-bottom: 10px;
}

.modal-content p {
    font-size: 16px;
    color: #101828;
    line-height: 150%;
}

.modal-buttons {
    display: flex;
    justify-content: flex-end;
    margin-top: 20px;
    gap: 10px;
}

.modal-buttons button {
    padding: 10px 20px;
    margin-left: 10px;
    border: none;
    border-radius: 4px;
    color: white;
    cursor: pointer;
}

.reject-btn {
    background-color: #f04438;
}

.accept-btn {
    background-color: #12b76a;
}

.open-btn {
    padding: 10px 20px;
    background: #007bff;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.error-message-radio {
    color: #dc2626;
    font-size: 12px;
    margin-top: 8px;
    font-family: "RobotoRegular", Arial, Helvetica, sans-serif;
}

.checkbox-group input[type="checkbox"].error + label {
    color: #ef4444;
}

.btn-group {
    display: flex;
    justify-content: end;
    gap: 20px;
    align-items: center;
}

.btn-group-center {
    justify-content: center;
}

.delete-btn-group {
    display: flex;
    justify-content: end;
    align-items: center;
}

.student-title {
    font-size: 18px;
    color: #333;
    margin-bottom: 20px;
    text-transform: uppercase;
}

.delete-btn {
    background-color: #dc2626;
    color: white;
}

.student-block {
    background: #fafafa;
    padding: 30px;
    margin-top: 40px;
    border-radius: 4px;
    margin-bottom: 30px;
}

.modal-title {
    margin: 16px 0;
    font-family: "RobotoRegular", Arial, Helvetica, sans-serif;
}

.admission-table {
    width: 100%;
    border-collapse: collapse;
    border-radius: 8px;
    overflow: hidden;
}

.admission-table th,
.admission-table td {
    padding: 12px 16px;
    text-align: center;
    border-bottom: 1px solid #eee;
    font-size: 16px;
}

.admission-table thead {
    background-color: #f9f9f9;
}

.admission-table tbody tr.selected {
    background-color: #f2f2f2;
}

.admission-table input[type="checkbox"] {
    accent-color: green;
    width: 16px;
    height: 16px;
}

.admission-table button {
    padding: 6px 16px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.admission-table button.done {
    background-color: #28a745;
    color: white;
}

.admission-table button.apply {
    background-color: #007bff;
    color: white;
}

.table-body {
    border: 1px solid #aaaaaa;
    border-radius: 8px;
    margin-top: 16px;
}

.done-label {
    background-color: #ecfdf3;
    color: #027a48;
    padding: 6px 18px;
    border-radius: 4px;
    text-align: center;
    font-size: 14px;
    font-family: "RobotoRegular", Arial, Helvetica, sans-serif;
}

.action-btn-goup a {
    padding: 0px 4px;
    position: relative;
    text-decoration: none;
}

.heading-group {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.desc-td {
    max-width: 220px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 15px;
    color: #444;
    padding: 8px 0;
}

.rich-text-card {
    margin-top: 30px;
}

.card-title {
    font-size: 18px;
    color: #333;
    margin-bottom: 10px;
    text-transform: uppercase;
}

.label-group {
    display: flex;
    align-items: center;
    gap: 30px;
}

.label-group .label-group__row {
    display: flex;
    align-items: center;
    gap: 6px;
}

.label-group__row .label-group__title {
    font-size: 20px;
}

.event-banner-image {
    margin-top: 20px;
}

.event-banner-image img {
    width: 100%;
    object-fit: cover;
    height: 400px;
    border-radius: 4px;
}

.event-description p {
    color: #898282;
    font-size: 20px;
    line-height: 140%;
    margin: 20px 0;
}

.register-card .register-form {
    /* width: 900px; */
    margin: 0 auto;
    padding: 20px;
    background-color: #f7f7f7;
    border-radius: 8px;
}

.register-card .form-grid {
    grid-template-columns: 1fr 1fr 1fr;
    margin: 0;
}

.register-form-action {
    height: 90px;
    display: flex;
    align-items: center;
}

.delete-btn.deleteSchoolBtn {
    height: 36px;
    width: 90px;
}

.checkbox-group-admission {
    flex-direction: column;
    align-items: start;
}

.admission-terms__checkbox-group {
    flex-direction: column;
    align-items: flex-start;
}

.checkbox-group-admission-row {
    display: flex;
    align-items: center;
    gap: 10px;
}

.img-group {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 10px;
}

.img-group .img-group__iccon {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
}

.img-group .img-group__iccon .delete-ic {
    cursor: pointer;
}

.deleteModal {
    position: fixed;
    transform: translate(-50%, -50%);
}
.custom-success-alert {
    text-align: center;
    padding: 10px;
    width: 60%;
    margin: 0 auto;
    /* padding: 10px; */
    background-color: #d4edda;
    color: #155724;
    border: 1px solid #c3e6cb;
    border-radius: 5px;
    margin-bottom: 15px;
    font-family: Arial, sans-serif;
    font-size: 14px;
    margin-top: 40px;
}

.doc-success {
    text-align: center;
    padding: 10px;
    width: 60%;
    margin: 0 auto;
    /* padding: 10px; */
    background-color: #d4edda;
    color: #155724;
    border: 1px solid #c3e6cb;
    border-radius: 5px;
    margin-bottom: 15px;
    font-family: Arial, sans-serif;
    font-size: 14px;
    margin-top: 40px;
}



.success-message {
    text-align: center;
    padding: 10px;
    width: 60%;
    margin: 0 auto;
    /* padding: 10px; */
    background-color: #d4edda;
    color: #155724;
    border: 1px solid #c3e6cb;
    border-radius: 5px;
    margin-bottom: 15px;
    font-family: Arial, sans-serif;
    font-size: 14px;
    margin-top: 40px;
}

.session-error {
    /* background-color: red; */
    width: 60%;
    margin: 0 auto;
    padding: 10px;
    text-align: center;
    color: red;
    border: 1px solid red;
    border-radius: 5px;
    margin-bottom: 15px;
    margin-top: 20px;
    font-family: Arial, sans-serif;
    font-size: 14px;
    margin-top: 10px;
}

.success-admission {
    width: 60%;
    margin: 0 auto;
    padding: 10px;
    background-color: #d4edda;
    color: #155724;
    border: 1px solid #c3e6cb;
    border-radius: 5px;
    margin-bottom: 15px;
    font-family: Arial, sans-serif;
    font-size: 14px;
    margin-top: 40px;
    text-align: center;
}

.session-schltour {
    width: 60%;
    margin: 0 auto;
    padding: 10px;
    background-color: #d4edda;
    color: #155724;
    border: 1px solid #c3e6cb;
    border-radius: 5px;
    margin-bottom: 15px;
    font-family: Arial, sans-serif;
    font-size: 14px;
    margin-top: 40px;
    text-align: center;
}

.copy-text {
    display: none;
    font-size: 12px;
    color: #ffffff;
    text-decoration: none;
    margin-left: 5px;
    position: absolute;
    top: -31px;
    right: -6px;
    background-color: #2196f3;
    padding: 3px 8px;
    border-radius: 4px;
    /* font-size: 12px;
    color: green;
    text-decoration: none;
    margin-left: 5px; */
}

.marketing-success {
    width: 60%;
    margin: 0 auto;
    padding: 10px;
    text-align: center;
    background-color: #d4edda;
    color: #155724;
    border: 1px solid #c3e6cb;
    border-radius: 5px;
    margin-bottom: 15px;
    font-family: Arial, sans-serif;
    font-size: 14px;
    margin-top: 10px;
}

.delete-modal .delete-modal__title {
    font-weight: 600;
    font-size: 20px;
}

.delete-modal .modal-content {
    max-width: 400px;
    text-align: left;
}

.delete-modal .modal-buttons .btn-cancel-link {
    padding: 6px 14px;
    border-radius: 4px;
    font-size: 16px;
    cursor: pointer;
    background-color: transparent;
    color: black;
    text-decoration: none;
    font-family: "RobotoRegular", Arial, Helvetica, sans-serif;
}

@media screen and (max-width: 768px) {
    .student-block {
        padding: 16px;
    }

    .table-body {
        overflow: scroll;
    }

    .hero {
        height: auto;
    }

    .heading-group {
        align-items: flex-start;
        flex-direction: column;
    }

    .register-card .register-form {
        width: 100%;
    }

    .label-group {
        align-items: flex-start;
        gap: 14px;
        flex-direction: column;
    }

    .previous-school-section {
        padding: 12px;
    }
}

.form-label-custom {
    display: block;
    margin-bottom: 6px;
    font-weight: 500;
    color: #212529;
}

.required {
    color: red;
}

.input-group-custom {
    display: flex;
    width: 100%;
    max-width: 400px;
}

.input-addon {
    padding: 8px 12px;
    background-color: #e9ecef;
    border: 1px solid #ced4da;
    border-right: none;
    border-radius: 6px 0 0 6px;
    font-size: 14px;
    color: #495057;
    display: flex;
    align-items: center;
}

.input-control {
    flex: 1;
    padding: 8px 12px;
    border: 1px solid #ced4da;
    border-radius: 0 6px 6px 0 !important;
    font-size: 14px;
    outline: none;
}

.input-control:focus {
    border-color: #86b7fe;
}
#learningSupportDiv {
    padding: 30px;
    background-color: #e5e5e5;
    margin-bottom: 20px;
}
#learningSupportDiv .card-body .card-text{
    margin-bottom: 10px;
}
#learningSupportDiv .form-group .form-check{
    margin-bottom: 6px;
}
#learningSupportDiv #followUpNote{
    border-radius: 8px;
    padding: 16px;
    background-color: #fff;
}
#learningSupportDiv #followUpNote .mb-2{
    margin-bottom: .5rem !important;
}
#learningSupportDiv #followUpNote .mt-2{
    margin-top: .5rem !important;
}
